Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters.cpp	(revision 88)
@@ -0,0 +1,194 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Core_Glue/include/Parameters.h"
+#include "Behavioural/include/Allocation.h"
+#include "Common/include/Max.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace core {
+namespace core_glue {
+
+
+#undef  FUNCTION
+#define FUNCTION "Core_Glue::Parameters"
+  Parameters::Parameters
+  (uint32_t                nb_front_end                         ,
+   uint32_t              * nb_context                           ,//[nb_front_end]
+   uint32_t                nb_ooo_engine                        ,
+   uint32_t                nb_execute_loop                      ,
+   uint32_t              * ooo_engine_nb_front_end              ,//[nb_ooo_engine]
+   uint32_t              * ooo_engine_nb_execute_loop           ,//[nb_ooo_engine]
+   uint32_t              * execute_loop_nb_ooo_engine           ,//[nb_execute_loop]
+   uint32_t              * nb_inst_decod                        ,//[nb_front_end] -> [sum_inst_decod]
+   uint32_t              * front_end_nb_inst_branch_complete    ,//[nb_front_end]
+   uint32_t              * ooo_engine_nb_inst_branch_complete   ,//[nb_ooo_engine]
+   uint32_t              * nb_inst_insert                       ,//[nb_ooo_engine]
+   uint32_t              * nb_inst_issue                        ,//[nb_ooo_engine]
+   uint32_t             ** nb_inst_execute                      ,//[nb_ooo_engine][ooo_engine_nb_execute_loop]
+   uint32_t              * nb_read_unit                         ,//[nb_execute_loop]
+   uint32_t              * nb_write_unit                        ,//[nb_execute_loop]
+   uint32_t                size_depth                           ,
+   uint32_t                size_rob_ptr                         ,
+   uint32_t                size_load_queue_ptr                  ,
+   uint32_t                size_store_queue_ptr                 ,
+   uint32_t                size_general_data                    ,
+   uint32_t                size_special_data                    ,
+   uint32_t                size_general_register                ,
+   uint32_t                size_special_register                ,
+   Tpriority_t             dispatch_priority                    ,
+   Tload_balancing_t       dispatch_load_balancing              ,
+   bool               **** table_dispatch                       ,//[nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit]
+   uint32_t             ** translate_ooo_engine_num_front_end   ,//[nb_ooo_engine][ooo_engine_nb_front_end]
+   uint32_t             ** translate_ooo_engine_num_execute_loop,//[nb_ooo_engine][ooo_engine_nb_execute_loop]
+   uint32_t             ** translate_execute_loop_num_ooo_engine,//[nb_execute_loop][execute_loop_nb_ooo_engine]
+   bool                    is_toplevel)
+  {
+    log_begin(Core_Glue,FUNCTION);
+
+    _nb_front_end                          = nb_front_end                         ;
+    _nb_context                            = nb_context                           ;
+    _nb_ooo_engine                         = nb_ooo_engine                        ;
+    _nb_execute_loop                       = nb_execute_loop                      ;
+    _ooo_engine_nb_front_end               = ooo_engine_nb_front_end              ;
+    _ooo_engine_nb_execute_loop            = ooo_engine_nb_execute_loop           ;
+    _execute_loop_nb_ooo_engine            = execute_loop_nb_ooo_engine           ;
+    _nb_inst_decod                         = nb_inst_decod                        ;
+    _front_end_nb_inst_branch_complete     = front_end_nb_inst_branch_complete    ;
+    _ooo_engine_nb_inst_branch_complete    = ooo_engine_nb_inst_branch_complete   ;
+    _nb_inst_insert                        = nb_inst_insert                       ;
+    _nb_inst_issue                         = nb_inst_issue                        ;
+    _nb_inst_execute                       = nb_inst_execute                      ;
+    _nb_read_unit                          = nb_read_unit                         ;
+    _nb_write_unit                         = nb_write_unit                        ;
+    _dispatch_priority                     = dispatch_priority                    ;
+    _dispatch_load_balancing               = dispatch_load_balancing              ;
+    _table_dispatch                        = table_dispatch                       ;
+    _translate_ooo_engine_num_front_end    = translate_ooo_engine_num_front_end   ;
+    _translate_ooo_engine_num_execute_loop = translate_ooo_engine_num_execute_loop;
+    _translate_execute_loop_num_ooo_engine = translate_execute_loop_num_ooo_engine;
+
+    test();
+
+    ALLOC1(_link_ooo_engine_with_front_end,uint32_t,_nb_front_end);
+    ALLOC1(_translate_num_front_end_to_ooo_engine_front_end_id,uint32_t,_nb_front_end);
+
+    for (uint32_t i=0; i<_nb_ooo_engine; ++i)
+      for (uint32_t j=0; j<_ooo_engine_nb_front_end[i]; ++j)
+        {
+          uint32_t num_front_end = _translate_ooo_engine_num_front_end [i][j];
+          
+          _link_ooo_engine_with_front_end                     [num_front_end] = i;
+          _translate_num_front_end_to_ooo_engine_front_end_id [num_front_end] = j;
+        }
+
+    ALLOC2(_translate_num_execute_loop_to_ooo_engine_execute_loop_id, uint32_t, _nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+    for (uint32_t i=0; i<_nb_execute_loop; ++i)
+      for (uint32_t j=0; j<_execute_loop_nb_ooo_engine[i]; ++j)
+        {
+          uint32_t num_ooo_engine  = _translate_execute_loop_num_ooo_engine [i][j];
+          uint32_t execute_loop_id;
+          for (execute_loop_id = 0; execute_loop_id<_ooo_engine_nb_execute_loop[num_ooo_engine]; ++execute_loop_id)
+            if (_translate_ooo_engine_num_execute_loop [num_ooo_engine][execute_loop_id] == i)
+              break;
+          
+          _translate_num_execute_loop_to_ooo_engine_execute_loop_id [i][j] = execute_loop_id;
+        }
+
+    ALLOC2(_execute_loop_nb_inst_insert,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+    ALLOC2(_execute_loop_nb_inst_issue ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+
+    for (uint32_t i=0; i<_nb_execute_loop; ++i)
+      for (uint32_t j=0; j<_execute_loop_nb_ooo_engine[i]; ++j)
+        {
+          uint32_t num_ooo_engine = _translate_execute_loop_num_ooo_engine [i][j];
+          _execute_loop_nb_inst_issue  [i][j] = _nb_inst_issue  [num_ooo_engine];
+          _execute_loop_nb_inst_insert [i][j] = _nb_inst_insert [num_ooo_engine];
+        }
+
+    _max_ooo_engine_nb_inst_branch_complete = max<uint32_t>(_ooo_engine_nb_inst_branch_complete,_nb_ooo_engine);
+    _max_front_end_nb_inst_branch_complete  = max<uint32_t>(_front_end_nb_inst_branch_complete,_nb_front_end);
+    _max_ooo_engine_nb_execute_loop         = max<uint32_t>(_ooo_engine_nb_execute_loop,_nb_ooo_engine);
+    _max_nb_inst_execute                    = max<uint32_t>(_nb_inst_execute           ,_nb_ooo_engine, _ooo_engine_nb_execute_loop);
+    _max_nb_write_unit                      = max<uint32_t>(_nb_write_unit             ,_nb_execute_loop);
+    _max_nb_inst_insert                     = max<uint32_t>(_nb_inst_insert            ,_nb_ooo_engine);
+    _max_nb_inst_issue                      = max<uint32_t>(_nb_inst_issue             ,_nb_ooo_engine);
+    _max_nb_read_unit                       = max<uint32_t>(_nb_read_unit              ,_nb_execute_loop);
+
+    if (is_toplevel)
+      {
+    _size_context_id                       = log2(max<uint32_t>(nb_context,nb_front_end));
+    _size_front_end_id                     = log2(nb_front_end );
+    _size_ooo_engine_id                    = log2(nb_ooo_engine);
+    _size_instruction_address              = size_general_data-2  ;
+    _size_data_address                     = size_general_data    ;
+    _size_general_data                     = size_general_data    ;
+    _size_special_data                     = size_special_data    ;
+    _size_general_register                 = size_general_register;
+    _size_special_register                 = size_special_register;
+    _size_depth                            = size_depth           ;
+    _size_rob_ptr                          = size_rob_ptr         ;
+    _size_load_queue_ptr                   = size_load_queue_ptr  ;
+    _size_store_queue_ptr                  = size_store_queue_ptr ;
+//  _size_nb_inst_decod                    = size_nb_inst_decod   ;
+//  _size_nb_inst_commit                   = size_nb_inst_commit  ;
+//  _size_ifetch_queue_ptr                 = size_ifetch_queue_ptr;
+//  _size_inst_ifetch_ptr                  = size_inst_ifetch_ptr ;
+                                           
+    _have_port_context_id                  = _size_context_id       > 0;
+    _have_port_front_end_id                = _size_front_end_id     > 0;
+    _have_port_ooo_engine_id               = _size_ooo_engine_id    > 0;
+    _have_port_depth                       = _size_depth            > 0;
+    _have_port_rob_ptr                     = _size_rob_ptr          > 0;
+    _have_port_load_queue_ptr              = _size_load_queue_ptr   > 0;
+//  _have_port_ifetch_queue_ptr            = _size_ifetch_queue_ptr > 0;
+//  _have_port_inst_ifetch_ptr             = _size_inst_ifetch_ptr  > 0;
+
+        copy();
+      }
+
+    log_end(Core_Glue,FUNCTION);
+  };
+  
+// #undef  FUNCTION
+// #define FUNCTION "Core_Glue::Parameters (copy)"
+//   Parameters::Parameters (Parameters & param)
+//   {
+//     log_begin(Core_Glue,FUNCTION);
+//     test();
+//     log_end(Core_Glue,FUNCTION);
+//   };
+
+#undef  FUNCTION
+#define FUNCTION "Core_Glue::~Parameters"
+  Parameters::~Parameters (void) 
+  {
+    log_begin(Core_Glue,FUNCTION);
+
+    DELETE2(_execute_loop_nb_inst_issue,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+    DELETE2(_execute_loop_nb_inst_insert,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+    DELETE2(_translate_num_execute_loop_to_ooo_engine_execute_loop_id, _nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+    DELETE1(_translate_num_front_end_to_ooo_engine_front_end_id,_nb_front_end);
+    DELETE1(_link_ooo_engine_with_front_end,_nb_front_end);
+
+    log_end(Core_Glue,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Core_Glue::copy"
+  void Parameters::copy (void) 
+  {
+    log_begin(Core_Glue,FUNCTION);
+    log_end(Core_Glue,FUNCTION);
+  };
+
+}; // end namespace core_glue
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters_msg_error.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters_msg_error.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters_msg_error.cpp	(revision 88)
@@ -0,0 +1,68 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Types.h"
+#include "Behavioural/Core/Core_Glue/include/Parameters.h"
+#include <sstream>
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace core_glue {
+
+
+#undef  FUNCTION
+#define FUNCTION "Core_Glue::msg_error"
+  Parameters_test Parameters::msg_error(void)
+  {
+    log_begin(Core_Glue,FUNCTION);
+
+    Parameters_test test ("Core_Glue");
+
+    for (uint32_t i=0; i<_nb_ooo_engine; ++i)
+      for (uint32_t j=0; j<_ooo_engine_nb_front_end[i]; ++j)
+        if (_translate_ooo_engine_num_front_end [i][j] > _nb_front_end)
+          test.error(_("Translation in ooo_engine of front_end id is an invalid id.\n"));
+
+    for (uint32_t i=0; i<_nb_ooo_engine; ++i)
+      for (uint32_t j=0; j<_ooo_engine_nb_execute_loop[i]; ++j)
+        if (_translate_ooo_engine_num_execute_loop [i][j] > _nb_execute_loop)
+          test.error(_("Translation in ooo_engine of execute_loop id is an invalid id.\n"));
+
+    for (uint32_t i=0; i<_nb_execute_loop; ++i)
+      for (uint32_t j=0; j<_execute_loop_nb_ooo_engine[i]; ++j)
+        if (_translate_execute_loop_num_ooo_engine [i][j] > _nb_ooo_engine)
+          test.error(_("Translation in execute_loop of ooo_engine id is an invalid id.\n"));
+
+    for (uint32_t i=0; i<_nb_ooo_engine; ++i)
+      for (uint32_t j=0; j<_ooo_engine_nb_front_end[i]; ++j)
+        {
+          uint32_t num_front_end = _translate_ooo_engine_num_front_end [i][j];
+
+          if (_front_end_nb_inst_branch_complete [num_front_end] != _ooo_engine_nb_inst_branch_complete [i])
+            test.error(toString(_("front_end[%d].nb_inst_branch_complete must be equal at ooo_engine[%d].nb_inst_branch_complete.\n"),num_front_end,i));
+        }
+
+    for (uint32_t i=0; i<_nb_execute_loop; ++i)
+      for (uint32_t j=0; j<_execute_loop_nb_ooo_engine[i]; ++j)
+        {
+          Tcontext_t num_ooo_engine = _translate_execute_loop_num_ooo_engine [i][j];
+          for (uint32_t k=0; k<_ooo_engine_nb_execute_loop[num_ooo_engine]; ++k)
+            if (_translate_ooo_engine_num_execute_loop [num_ooo_engine][k] == i)
+              if (_nb_inst_execute[num_ooo_engine][k] != _nb_write_unit [i])
+            test.error(toString(_("ooo_engine[%d][%d].nb_inst_execute must be equal at execute_loop[%d].nb_write_unit.\n"),num_ooo_engine,k,i));
+        }
+    log_end(Core_Glue,FUNCTION);
+
+    return test;
+  };
+
+}; // end namespace core_glue
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Parameters_print.cpp	(revision 88)
@@ -0,0 +1,52 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Core_Glue/include/Parameters.h"
+#include "Behavioural/include/XML.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace core_glue {
+
+
+#undef  FUNCTION
+#define FUNCTION "Core_Glue::print"
+  std::string Parameters::print (uint32_t depth)
+  {
+    log_begin(Core_Glue,FUNCTION);
+
+    XML xml ("core_glue");
+
+    xml.balise_open("core_glue");
+//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
+    xml.balise_close();
+
+    log_end(Core_Glue,FUNCTION);
+    
+    return xml.get_body(depth);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Core_Glue::operator<<"
+  std::ostream& operator<< (std::ostream& output_stream ,
+			    morpheo::behavioural::core::core_glue::Parameters & x)
+  {
+    log_begin(Core_Glue,FUNCTION);
+
+    output_stream << x.print(0);
+    
+    log_end(Core_Glue,FUNCTION);
+
+    return output_stream;
+  };
+
+}; // end namespace core_glue
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile	(revision 88)
@@ -0,0 +1,24 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ./
+include				$(DIR_COMPONENT)/Makefile.defs
+
+#-----[ Library ]------------------------------------------
+LIBRARY				= $(DIR_LIB)/libDcache_Access.a
+
+
+#-----[ include ]------------------------------------------
+
+all				:
+				@$(MAKE) all_component
+
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.defs	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.defs	(revision 88)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.deps
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.deps	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/Makefile.deps	(revision 88)
@@ -0,0 +1,45 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+# DIR_MORPHEO must be defined
+
+Dcache_Access			= yes
+
+ifndef Behavioural
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+endif
+ifndef Priority
+include 			$(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
+endif
+
+#-----[ Directory ]----------------------------------------
+
+Dcache_Access_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Dcache_Access
+
+#-----[ Library ]------------------------------------------
+
+Dcache_Access_LIBRARY		= 	-lDcache_Access			\
+					$(Priority_LIBRARY)		\
+					$(Behavioural_LIBRARY)	
+
+Dcache_Access_DIR_LIBRARY	=	-L$(Dcache_Access_DIR)/lib	\
+					$(Priority_DIR_LIBRARY)		\
+					$(Behavioural_DIR_LIBRARY)
+
+#-----[ Rules ]--------------------------------------------
+
+Dcache_Access_library		:
+				@\
+				$(MAKE) Behavioural_library;		\
+				$(MAKE) Priority_library;		\
+				$(MAKE) --directory=$(Dcache_Access_DIR) --makefile=Makefile;
+
+Dcache_Access_library_clean	:
+				@\
+				$(MAKE) Behavioural_library_clean;	\
+				$(MAKE) Priority_library_clean;		\
+				$(MAKE) --directory=$(Dcache_Access_DIR) --makefile=Makefile clean;
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/Makefile	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/Makefile	(revision 88)
@@ -0,0 +1,32 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ../
+include				$(DIR_COMPONENT)/Makefile.defs
+
+LIBRARY				= $(Dcache_Access_LIBRARY)
+
+DIR_LIBRARY			= $(Dcache_Access_DIR_LIBRARY)
+
+#-----[ include ]------------------------------------------
+
+all				:
+				@$(MAKE) all_selftest
+
+library				: Dcache_Access_library
+
+library_clean			: Dcache_Access_library_clean
+
+local_clean			:
+
+include                         $(DIR_COMPONENT)/Makefile.deps
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.Synthesis
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_min.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_min.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_min.cfg	(revision 88)
@@ -0,0 +1,12 @@
+Dcache_Access
+1	1	+1	# nb_execute_loop        
+1	1	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_mono_execute_loop1.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_mono_execute_loop1.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_mono_execute_loop1.cfg	(revision 88)
@@ -0,0 +1,24 @@
+Dcache_Access
+1	1	+1	# nb_execute_loop        
+4	4	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][1]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][2]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][3]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][3][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_mono_execute_loop2.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_mono_execute_loop2.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_mono_execute_loop2.cfg	(revision 88)
@@ -0,0 +1,27 @@
+Dcache_Access
+1	1	+1	# nb_execute_loop        
+4	4	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+2	2	+1	# nb_cache_access    [0][1]    [nb_execute_loop][nb_load_store_unit]
+3	3	+1	# nb_cache_access    [0][2]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [0][3]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][3]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [0][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [0][1][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [0][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [0][2][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [0][2][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [0][3][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_multi_execute_loop1.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_multi_execute_loop1.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_multi_execute_loop1.cfg	(revision 88)
@@ -0,0 +1,40 @@
+Dcache_Access
+3	3	+1	# nb_execute_loop        
+1	1	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+2	2	+1	# nb_load_store_unit [1]       [nb_execute_loop]
+3	3	+1	# nb_load_store_unit [2]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+2	2	+1	# nb_cache_access    [1][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [1][1]    [nb_execute_loop][nb_load_store_unit]
+3	3	+1	# nb_cache_access    [2][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [2][1]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_cache_access    [2][2]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [1][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [1][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [1][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][0][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [2][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][2][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][3] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_multi_execute_loop2.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_multi_execute_loop2.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Dcache_Access/SelfTest/config_multi_execute_loop2.cfg	(revision 88)
@@ -0,0 +1,40 @@
+Dcache_Access
+3	3	+1	# nb_execute_loop        
+1	1	+1	# nb_load_store_unit [0]       [nb_execute_loop]
+2	2	+1	# nb_load_store_unit [1]       [nb_execute_loop]
+3	3	+1	# nb_load_store_unit [2]       [nb_execute_loop]
+1	1	+1	# nb_cache_access    [0][0]    [nb_execute_loop][nb_load_store_unit]
+2	2	+1	# nb_cache_access    [1][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [1][1]    [nb_execute_loop][nb_load_store_unit]
+3	3	+1	# nb_cache_access    [2][0]    [nb_execute_loop][nb_load_store_unit]
+1	1	+1	# nb_cache_access    [2][1]    [nb_execute_loop][nb_load_store_unit]
+4	4	+1	# nb_cache_access    [2][2]    [nb_execute_loop][nb_load_store_unit]
+8	8	+1	# nb_dcache_port         
+32	32	+1	# size_address           
+32	32	+1	# size_data              
+0	0	+1	# size_thread_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_thread_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [0][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [1][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][0]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][1]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# size_packet_id     [2][2]    [nb_execute_loop][nb_load_store_unit]
+0	0	+1	# table_routing      [0][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [1][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [1][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [1][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+4	4	+1	# table_routing      [2][0][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+5	5	+1	# table_routing      [2][0][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+6	6	+1	# table_routing      [2][0][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+7	7	+1	# table_routing      [2][1][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	0	+1	# table_routing      [2][2][0] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+1	1	+1	# table_routing      [2][2][1] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+2	2	+1	# table_routing      [2][2][2] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+3	3	+1	# table_routing      [2][2][3] [nb_execute_loop][nb_load_store_unit][nb_cache_access]
+0	1	+1	# priority               
+0	1	+1	# load_balancing         
